Index: src/sas/sasgui/guiframe/CategoryInstaller.py
===================================================================
--- src/sas/sasgui/guiframe/CategoryInstaller.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/CategoryInstaller.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -132,5 +132,5 @@
 
         serialized_file = None
-        if homedir == None:
+        if homedir is None:
             serialized_file = CategoryInstaller.get_user_file()
         else:
Index: src/sas/sasgui/guiframe/dataFitting.py
===================================================================
--- src/sas/sasgui/guiframe/dataFitting.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/dataFitting.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -78,9 +78,9 @@
         result.clone_without_data(length=len(self.x), clone=self)
         result.copy_from_datainfo(data1d=self)
-        if self.dxw == None:
+        if self.dxw is None:
             result.dxw = None
         else:
             result.dxw = np.zeros(len(self.x))
-        if self.dxl == None:
+        if self.dxl is None:
             result.dxl = None
         else:
@@ -125,21 +125,21 @@
         tot_length = len(self.x) + len(other.x)
         result = self.clone_without_data(length=tot_length, clone=result)
-        if self.dlam == None or other.dlam is None:
+        if self.dlam is None or other.dlam is None:
             result.dlam = None
         else:
             result.dlam = np.zeros(tot_length)
-        if self.dy == None or other.dy is None:
+        if self.dy is None or other.dy is None:
             result.dy = None
         else:
             result.dy = np.zeros(tot_length)
-        if self.dx == None or other.dx is None:
+        if self.dx is None or other.dx is None:
             result.dx = None
         else:
             result.dx = np.zeros(tot_length)
-        if self.dxw == None or other.dxw is None:
+        if self.dxw is None or other.dxw is None:
             result.dxw = None
         else:
             result.dxw = np.zeros(tot_length)
-        if self.dxl == None or other.dxl is None:
+        if self.dxl is None or other.dxl is None:
             result.dxl = None
         else:
@@ -154,8 +154,8 @@
         result.lam = np.append(self.lam, other.lam)
         result.lam = result.lam[ind]
-        if result.dlam != None:
+        if result.dlam is not None:
             result.dlam = np.append(self.dlam, other.dlam)
             result.dlam = result.dlam[ind]
-        if result.dy != None:
+        if result.dy is not None:
             result.dy = np.append(self.dy, other.dy)
             result.dy = result.dy[ind]
@@ -227,9 +227,9 @@
         result = self.clone_without_data(len(self.x))
         result.copy_from_datainfo(data1d=self)
-        if self.dxw == None:
+        if self.dxw is None:
             result.dxw = None
         else:
             result.dxw = np.zeros(len(self.x))
-        if self.dxl == None:
+        if self.dxl is None:
             result.dxl = None
         else:
@@ -279,21 +279,21 @@
         tot_length = len(self.x)+len(other.x)
         result.clone_without_data(length=tot_length, clone=self)
-        if self.dlam == None or other.dlam is None:
+        if self.dlam is None or other.dlam is None:
             result.dlam = None
         else:
             result.dlam = np.zeros(tot_length)
-        if self.dy == None or other.dy is None:
+        if self.dy is None or other.dy is None:
             result.dy = None
         else:
             result.dy = np.zeros(tot_length)
-        if self.dx == None or other.dx is None:
+        if self.dx is None or other.dx is None:
             result.dx = None
         else:
             result.dx = np.zeros(tot_length)
-        if self.dxw == None or other.dxw is None:
+        if self.dxw is None or other.dxw is None:
             result.dxw = None
         else:
             result.dxw = np.zeros(tot_length)
-        if self.dxl == None or other.dxl is None:
+        if self.dxl is None or other.dxl is None:
             result.dxl = None
         else:
@@ -307,5 +307,5 @@
         result.lam = np.append(self.lam, other.lam)
         result.lam = result.lam[ind]
-        if result.dy != None:
+        if result.dy is not None:
             result.dy = np.append(self.dy, other.dy)
             result.dy = result.dy[ind]
@@ -405,5 +405,5 @@
         result.ymin = self.ymin
         result.ymax = self.ymax
-        if self.dqx_data == None or self.dqy_data == None:
+        if self.dqx_data is None or self.dqy_data is None:
             result.dqx_data = None
             result.dqy_data = None
@@ -468,6 +468,6 @@
         result.ymin = self.ymin
         result.ymax = self.ymax
-        if self.dqx_data == None or self.dqy_data == None or \
-                other.dqx_data == None or other.dqy_data == None :
+        if self.dqx_data is None or self.dqy_data is None or \
+                other.dqx_data is None or other.dqy_data is None :
             result.dqx_data = None
             result.dqy_data = None
Index: src/sas/sasgui/guiframe/data_processor.py
===================================================================
--- src/sas/sasgui/guiframe/data_processor.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sasgui/guiframe/data_processor.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -18,15 +18,17 @@
 
 """
-import wx
-import numpy
-import math
-import re
 import os
 import sys
 import copy
-from wx.lib.scrolledpanel import ScrolledPanel
+import math
+import re
+import wx
+import numpy as np
+
 import wx.aui
 from wx.aui import AuiNotebook as nb
 import wx.lib.sheet as sheet
+from wx.lib.scrolledpanel import ScrolledPanel
+
 from sas.sasgui.guiframe.panel_base import PanelBase
 from sas.sasgui.guiframe.events import NewPlotEvent
@@ -313,5 +315,5 @@
         if row > self.max_row_touse:
             self.max_row_touse = row
-        if self.data == None:
+        if self.data is None:
             self.data = {}
         event.Skip()
@@ -812,7 +814,7 @@
         """
 
-        if self.data == None:
+        if self.data is None:
             self.data = {}
-        if self.file_name == None:
+        if self.file_name is None:
             self.file_name = 'copied_data'
         self.Paste()
@@ -1015,5 +1017,5 @@
                             if index - 1 >= 0:
                                 new_row, _ = temp_list[index - 1]
-                                if not new_row == None and new_row != ' ':
+                                if new_row is not None and new_row != ' ':
                                     label += create_label(col_name, None,
                                                           int(new_row) + 1)
@@ -1023,8 +1025,8 @@
                             if index + 1 < len(temp_list):
                                 new_row, _ = temp_list[index + 1]
-                                if not new_row == None:
+                                if new_row is not None:
                                     label += create_label(col_name,
                                                           int(new_row) + 1, None)
-                    if row_min != None and row_max != None:
+                    if row_min is not None and row_max is not None:
                         if index == 0:
                             label += create_label(col_name,
@@ -1083,5 +1085,5 @@
 
         # Let's re-order the data from the keys in 'Data' name.
-        if outputs == None:
+        if outputs is None:
             return
         try:
@@ -1372,5 +1374,5 @@
             wx.PostEvent(self.parent.parent, StatusEvent(status=msg, info="error"))
             return
-        if dy != None and (len(y) != len(dy)):
+        if dy is not None and (len(y) != len(dy)):
             msg = "Need same length for Y and dY axis and both greater than 0"
             msg += " to plot.\n"
@@ -1378,5 +1380,5 @@
             wx.PostEvent(self.parent.parent, StatusEvent(status=msg, info="error"))
             return
-        if dy == None:
+        if dy is None:
             dy = np.zeros(len(y))
         #plotting
@@ -1439,5 +1441,5 @@
             col = column_names[col_name]
             axis = self.get_plot_axis(col, list)
-            if axis == None:
+            if axis is None:
                 return None
             sentence = sentence.replace(tok, "numpy.array(%s)" % str(axis))
@@ -1570,7 +1572,7 @@
         """
 
-        if label != None:
+        if label is not None:
             tcrtl_label.SetValue(str(label))
-        if title != None:
+        if title is not None:
             tcrtl_title.SetValue(str(title))
 
@@ -1683,5 +1685,5 @@
         # I Believe this is no longer used now that we have removed the 
         # edit menu from the menubar - PDB July 12, 2015
-        if event != None:
+        if event is not None:
             event.Skip()
         pos = self.panel.notebook.GetSelection()
@@ -1695,5 +1697,5 @@
         # I Believe this is no longer used now that we have removed the 
         # edit menu from the menubar - PDB July 12, 2015
-        if event != None:
+        if event is not None:
             event.Skip()
         pos = self.panel.notebook.GetSelection()
@@ -1737,5 +1739,5 @@
             pos = self.panel.notebook.GetSelection()
             grid = self.panel.notebook.GetPage(pos)
-            has_data = (grid.data != None and grid.data != {})
+            has_data = (grid.data is not None and grid.data != {})
             self.open_excel_menu.Enable(has_data)
             self.save_menu.Enable(has_data)
@@ -1820,5 +1822,5 @@
                     path = dlg.GetPath()
                 dlg.Destroy()
-                if path != None:
+                if path is not None:
                     if self.parent is not None:
                         data = grid.get_grid_view()
@@ -2005,5 +2007,5 @@
                     path = dlg.GetPath()
                 dlg.Destroy()
-                if path != None:
+                if path is not None:
                     if self.parent is not None and  self.data is not None:
                         self.parent.write_batch_tofile(data=self.data,
Index: src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision c1d5aeab1ee75d2bf50cd73195f34c011918657d)
+++ src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -75,5 +75,5 @@
         path = None
         self._default_save_location = self.parent._default_save_location
-        if self._default_save_location == None:
+        if self._default_save_location is None:
             self._default_save_location = os.getcwd()
 
@@ -116,5 +116,5 @@
         path = None
         self._default_save_location = self.parent._default_save_location
-        if self._default_save_location == None:
+        if self._default_save_location is None:
             self._default_save_location = os.getcwd()
         dlg = wx.DirDialog(self.parent, "Choose a directory",
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/AnnulusSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -122,5 +122,5 @@
         data = self.base.data2D
         # If we have no data, just return
-        if data == None:
+        if data is None:
             return
 
@@ -132,5 +132,5 @@
         # if the user does not specify the numbers of points to plot
         # the default number will be nbins= 36
-        if nbins == None:
+        if nbins is None:
             self.nbins = 36
         else:
@@ -498,5 +498,5 @@
         # Update locations
         self.outer_circle.update()
-        # if self.is_inside != None:
+        # if self.is_inside is not None:
         out = self._post_data()
         return out
@@ -521,5 +521,5 @@
 
         # If we have no data, just return
-        if data == None:
+        if data is None:
             return
         mask = data.mask
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Arc.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Arc.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Arc.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -71,7 +71,7 @@
         x = []
         y = []
-        if theta1 != None:
+        if theta1 is not None:
             self.theta1 = theta1
-        if theta2 != None:
+        if theta2 is not None:
             self.theta2 = theta2
         while self.theta2 < self.theta1:
@@ -81,5 +81,5 @@
         npts = int((self.theta2 - self.theta1) / (math.pi / 120))
 
-        if r == None:
+        if r is None:
             self.radius = math.sqrt(math.pow(self._mouse_x, 2) + \
                                      math.pow(self._mouse_y, 2))
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Edge.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Edge.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Edge.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -63,9 +63,9 @@
         Draw the new roughness on the graph.
         """
-        if r1 != None:
+        if r1 is not None:
             self.r1 = r1
-        if r2 != None:
+        if r2 is not None:
             self.r2 = r2
-        if theta != None:
+        if theta is not None:
             self.theta = theta
         x1 = self.r1 * math.cos(self.theta)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -183,10 +183,10 @@
         # So manually recode the size (=x_size) and compare here.
         # Massy code to work around:<
-        if self.parent._mgr != None:
+        if self.parent._mgr is not None:
             max_panel = self.parent._mgr.GetPane(self)
             if max_panel.IsMaximized():
                 self.parent._mgr.RestorePane(max_panel)
                 max_panel.Maximize()
-        if self.x_size != None:
+        if self.x_size is not None:
             if self.x_size == self.GetSize():
                 self.resizing = False
@@ -212,9 +212,9 @@
         On Qmin Qmax vertical line event
         """
-        if event == None:
+        if event is None:
             return
         event.Skip()
         active_ctrl = event.active
-        if active_ctrl == None:
+        if active_ctrl is None:
             return
         if hasattr(event, 'is_corfunc'):
@@ -231,5 +231,5 @@
                 colors.append('purple')
                 values.append(min(x_data.max(), float(ctrl[2].GetValue())))
-            if self.ly == None:
+            if self.ly is None:
                 self.ly = []
                 for c, v in zip(colors, values):
@@ -241,5 +241,5 @@
                 xval = float(active_ctrl.GetValue())
                 position = self.get_data_xy_vals(xval)
-                if position != None and not self.is_corfunc:
+                if position is not None and not self.is_corfunc:
                     wx.PostEvent(self.parent, StatusEvent(status=position))
             except:
@@ -336,5 +336,5 @@
         if hasattr(event, "action"):
             dclick = event.action == 'dclick'
-            if ax == None or dclick:
+            if ax is None or dclick:
                 # remove the vline
                 self._check_zoom_plot()
@@ -342,5 +342,5 @@
                 self.q_ctrl = None
                 return
-        if self.ly != None and event.xdata != None:
+        if self.ly is not None and event.xdata is not None:
             # Selecting a new line if cursor lines are displayed already
             dqmin = math.fabs(event.xdata - self.ly[0].get_xdata())
@@ -361,8 +361,8 @@
         Move the cursor line to write Q range
         """
-        if self.q_ctrl == None:
+        if self.q_ctrl is None:
             return
         # release a q range vline
-        if self.ly != None and not self.leftdown:
+        if self.ly is not None and not self.leftdown:
             for ly in self.ly:
                 ly.set_alpha(0.7)
@@ -370,7 +370,7 @@
             return
         ax = event.inaxes
-        if ax == None or not hasattr(event, 'action'):
+        if ax is None or not hasattr(event, 'action'):
             return
-        end_drag = event.action != 'drag' and event.xdata != None
+        end_drag = event.action != 'drag' and event.xdata is not None
         nop = len(self.plots)
         pos_x, _ = float(event.xdata), float(event.ydata)
@@ -514,5 +514,5 @@
         ax = event.inaxes
         PlotPanel.onLeftDown(self, event)
-        if ax != None:
+        if ax is not None:
             try:
                 pos_x = float(event.xdata)  # / size_x
@@ -618,7 +618,6 @@
             # add menu of other plugins
             item_list = self.parent.get_current_context_menu(self)
-            if (not item_list == None) and (not len(item_list) == 0):
+            if (item_list is not None) and (len(item_list)):
                 for item, wx_id in zip(item_list, [ids.next() for i in range(len(item_list))]):
-
                     try:
                         plot_menu.Append(wx_id, item[0], name)
@@ -684,5 +683,5 @@
 
 
-        if self.position != None:
+        if self.position is not None:
             wx_id = ids.next()
             self._slicerpop.Append(wx_id, '&Add Text')
@@ -761,5 +760,5 @@
             default_name = default_name.split('.')[0]
         default_name += "_out"
-        if self.parent != None:
+        if self.parent is not None:
             self.parent.save_data1d(data, default_name)
 
@@ -779,5 +778,5 @@
             default_name = default_name.split('.')[0]
         # default_name += "_out"
-        if self.parent != None:
+        if self.parent is not None:
             self.parent.show_data1d(data, default_name)
 
@@ -811,5 +810,5 @@
         curr_label = self.appearance_selected_plot.label
 
-        if curr_color == None:
+        if curr_color is None:
             curr_color = self._color_labels['Blue']
             curr_symbol = 13
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -144,5 +144,5 @@
         """
         # Not implemented
-        if event == None:
+        if event is None:
             return
         event.Skip()
@@ -156,5 +156,5 @@
         PlotPanel.onLeftDown(self, event)
         ax = event.inaxes
-        if ax != None:
+        if ax is not None:
             # data coordinate position
             pos_x = "%8.3g" % event.xdata
@@ -227,5 +227,5 @@
         if self._is_changed_legend_label:
             data.label = self.title_label
-        if data.label == None:
+        if data.label is None:
             data.label = data.name
         if not self.title_font:
@@ -264,5 +264,5 @@
         # control axis labels from the panel itself
         yname, yunits = data.get_yaxis()
-        if self.yaxis_label != None:
+        if self.yaxis_label is not None:
             yname = self.yaxis_label
             yunits = self.yaxis_unit
@@ -271,5 +271,5 @@
             self.yaxis_unit = yunits
         xname, xunits = data.get_xaxis()
-        if self.xaxis_label != None:
+        if self.xaxis_label is not None:
             xname = self.xaxis_label
             xunits = self.xaxis_unit
@@ -320,6 +320,6 @@
         if len(self.data2D.detector) <= 1:
             item_list = self.parent.get_current_context_menu(self)
-            if (not item_list == None) and (not len(item_list) == 0) and\
-                self.data2D.name.split(" ")[0] != 'Residuals':
+            if ((item_list is not None) and len(item_list) and
+                self.data2D.name.split(" ")[0] != 'Residuals'):
                 for item, wx_id in zip(item_list, [ids.next() for i in range(len(item_list))]):
                     try:
@@ -355,5 +355,5 @@
             slicerpop.Append(wx_id, '&Box Averaging in Qy')
             wx.EVT_MENU(self, wx_id, self.onBoxavgY)
-            if self.slicer != None:
+            if self.slicer is not None:
                 wx_id = ids.next()
                 slicerpop.Append(wx_id, '&Clear Slicer')
@@ -435,5 +435,5 @@
                 msg = "Add Text: Error. Check your property values..."
                 logger.error(msg)
-                if self.parent != None:
+                if self.parent is not None:
                     wx.PostEvent(self.parent, StatusEvent(status=msg))
         dial.Destroy()
@@ -533,5 +533,5 @@
         """
         ## Clear current slicer
-        if not self.slicer == None:
+        if self.slicer is not None:
             self.slicer.clear()
         ## Create a new slicer
@@ -629,5 +629,5 @@
 
         """
-        if self.slicer != None:
+        if self.slicer is not None:
             from SlicerParameters import SlicerParameterPanel
             dialog = SlicerParameterPanel(self, -1, "Slicer Parameters")
@@ -719,5 +719,5 @@
         Clear the slicer on the plot
         """
-        if not self.slicer == None:
+        if self.slicer is not None:
             self.slicer.clear()
             self.subplot.figure.canvas.draw()
@@ -735,5 +735,5 @@
         """
         event_id = str(evt.GetId())
-        if self.parent != None:
+        if self.parent is not None:
             self._default_save_location = self.parent._default_save_location
         default_name = self.plots[self.graph.selected_plottable].label
@@ -759,5 +759,5 @@
             default_name = default_name.split('.')[0]
         #default_name += "_out"
-        if self.parent != None:
+        if self.parent is not None:
             self.parent.show_data2d(data, default_name)
 
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -144,5 +144,5 @@
         data = self.base.data2D
         # If we have no data, just return
-        if data == None:
+        if data is None:
             return
         ## Averaging
@@ -151,5 +151,5 @@
         phimin = -self.left_line.phi + self.main_line.theta
         phimax = self.left_line.phi + self.main_line.theta
-        if nbins == None:
+        if nbins is None:
             nbins = 20
         sect = SectorQ(r_min=0.0, r_max=radius,
@@ -362,7 +362,7 @@
         self.left_moving = left
         theta3 = 0
-        if phi != None:
+        if phi is not None:
             self.phi = phi
-        if delta == None:
+        if delta is None:
             delta = 0
         if  right:
@@ -374,5 +374,5 @@
             self.theta = mline.theta + self.phi
 
-        if mline != None:
+        if mline is not None:
             if delta != 0:
                 self.theta2 = mline + delta
@@ -538,5 +538,5 @@
         """
 
-        if theta != None:
+        if theta is not None:
             self.theta = theta
         x1 = self.radius * math.cos(self.theta)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/SimplePlot.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/SimplePlot.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/SimplePlot.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -87,5 +87,5 @@
             pos = (pos_x, pos_y + 5)
         self.PopupMenu(slicerpop, pos)
-        if self.scale != None:
+        if self.scale is not None:
             self.parent.scale2d = self.scale
 
@@ -106,5 +106,5 @@
             self.leftdown = True
             ax = event.inaxes
-            if ax != None:
+            if ax is not None:
                 self.xInit, self.yInit = event.xdata, event.ydata
                 try:
@@ -123,5 +123,5 @@
         """
         self.resizing = False
-        if self.x_size != None:
+        if self.x_size is not None:
             if self.x_size == self.GetSize():
                 self.canvas.set_resizing(self.resizing)
@@ -161,7 +161,7 @@
         self.plots[plot.name] = plot
         # Axis scales
-        if plot.xtransform != None:
+        if plot.xtransform is not None:
             self.xLabel = plot.xtransform
-        if plot.ytransform != None:
+        if plot.ytransform is not None:
             self.yLabel = plot.ytransform
         # Init graph
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/SlicerParameters.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/SlicerParameters.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/SlicerParameters.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -46,5 +46,5 @@
         """
         event.Skip()
-        if event.obj_class == None:
+        if event.obj_class is None:
             self.set_slicer(None, None)
         else:
@@ -57,5 +57,5 @@
         self.bck.Clear(True)
         self.type = type
-        if type == None:
+        if type is None:
             label = "Right-click on 2D plot for slicer options"
             title = wx.StaticText(self, -1, label, style=wx.ALIGN_LEFT)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxMask.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxMask.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxMask.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -123,5 +123,5 @@
                                          x2=self.vertical_lines.x2,
                                          width=self.vertical_lines.half_width)
-        # if self.is_inside != None:
+        # if self.is_inside is not None:
         out = self._post_data()
         return out
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -139,5 +139,5 @@
 
         """
-        if self.direction == None:
+        if self.direction is None:
             self.direction = direction
 
@@ -147,8 +147,8 @@
         y_max = math.fabs(self.horizontal_lines.y)
 
-        if nbins != None:
+        if nbins is not None:
             self.nbins = nbins
-        if self.averager == None:
-            if new_slab == None:
+        if self.averager is None:
+            if new_slab is None:
                 msg = "post data:cannot average , averager is empty"
                 raise ValueError, msg
@@ -357,7 +357,7 @@
         """
         # # Reset x, y- coordinates if send as parameters
-        if x != None:
+        if x is not None:
             self.x = np.sign(self.x) * math.fabs(x)
-        if y != None:
+        if y is not None:
             self.y = np.sign(self.y) * math.fabs(y)
         # # Draw lines and markers
@@ -464,7 +464,7 @@
         """
         # # reset x, y -coordinates if given as parameters
-        if x != None:
+        if x is not None:
             self.x = np.sign(self.x) * math.fabs(x)
-        if y != None:
+        if y is not None:
             self.y = np.sign(self.y) * math.fabs(y)
         # # draw lines and markers
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -353,7 +353,7 @@
             Draw the new roughness on the graph.
         """
-        if center_x != None:
+        if center_x is not None:
             self.x = center_x
-        if center_y != None:
+        if center_y is not None:
             self.y = center_y
         self.center_marker.set(xdata=[self.x], ydata=[self.y])
@@ -490,11 +490,11 @@
         """
         # # save the new height, witdh of the rectangle if given as a param
-        if width != None:
+        if width is not None:
             self.half_width = width
-        if height != None:
+        if height is not None:
             self.half_height = height
         # # If new  center coordinates are given draw the rectangle
         # #given these value
-        if center != None:
+        if center is not None:
             self.center_x = center.x
             self.center_y = center.y
@@ -511,11 +511,11 @@
             return
         # # if x1, y1, y2, y3 are given draw the rectangle with this value
-        if x1 != None:
+        if x1 is not None:
             self.x1 = x1
-        if x2 != None:
+        if x2 is not None:
             self.x2 = x2
-        if y1 != None:
+        if y1 is not None:
             self.y1 = y1
-        if y2 != None:
+        if y2 is not None:
             self.y2 = y2
         # # Draw 2 vertical lines and a marker
@@ -657,11 +657,11 @@
         """
         # # save the new height, witdh of the rectangle if given as a param
-        if width != None:
+        if width is not None:
             self.half_width = width
-        if height != None:
+        if height is not None:
             self.half_height = height
         # # If new  center coordinates are given draw the rectangle
         # #given these value
-        if center != None:
+        if center is not None:
             self.center_x = center.x
             self.center_y = center.y
@@ -679,11 +679,11 @@
             return
         # # if x1, y1, y2, y3 are given draw the rectangle with this value
-        if x1 != None:
+        if x1 is not None:
             self.x1 = x1
-        if x2 != None:
+        if x2 is not None:
             self.x2 = x2
-        if y1 != None:
+        if y1 is not None:
             self.y1 = y1
-        if y2 != None:
+        if y2 is not None:
             self.y2 = y2
         # # Draw 2 vertical lines and a marker
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -90,7 +90,7 @@
             zmin = self.reset_zmin_ctl
             zmax = self.reset_zmax_ctl
-            if zmin == None:
+            if zmin is None:
                 zmin = ""
-            if zmax == None:
+            if zmax is None:
                 zmax = ""
             self.zmin_ctl.SetValue(str(zmin))
@@ -155,7 +155,7 @@
         self.qmax_ctl.SetLabel(str(format_number(qmax)))
         self.beam_ctl.SetLabel(str(format_number(beam)))
-        if zmin != None:
+        if zmin is not None:
             self.zmin_ctl.SetValue(str(format_number(zmin)))
-        if zmax != None:
+        if zmax is not None:
             self.zmax_ctl.SetValue(str(format_number(zmax)))
 
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 45dffa69cb5935e2da7c77a2f040debb07ceb1c6)
@@ -100,5 +100,5 @@
         wx.Dialog.__init__(self, parent, id=id, *args, **kwds)
 
-        if data != None:
+        if data is not None:
             # Font size
             kwds = []
@@ -235,5 +235,5 @@
         event.Skip()
         # from boxMask import BoxMask
-        if event != None:
+        if event is not None:
             self._on_clear_slicer(event)
         self.slicer_z += 1
@@ -249,5 +249,5 @@
         Add new mask to old mask
         """
-        if not self.slicer == None:
+        if self.slicer is not None:
             data = Data2D()
             data = self.data
@@ -269,5 +269,5 @@
         Erase new mask from old mask
         """
-        if not self.slicer == None:
+        if self.slicer is not None:
             self.slicer_mask = self.slicer.update()
             mask = self.data.mask
@@ -307,5 +307,5 @@
         Clear the slicer on the plot
         """
-        if not self.slicer == None:
+        if self.slicer is not None:
             self.slicer.clear()
             self.subplot.figure.canvas.draw()
@@ -336,5 +336,5 @@
         """
         # the case of liitle numbers of True points
-        if len(mask[mask]) < 10 and self.data != None:
+        if len(mask[mask]) < 10 and self.data is not None:
             self.ShowMessage()
             mask = copy.deepcopy(self.mask)
@@ -355,5 +355,5 @@
         temp_data.data[mask == False] = temp_mask[mask == False]
         self.plotpanel.clear()
-        if self.slicer != None:
+        if self.slicer is not None:
             self.slicer.clear()
             self.slicer = None
@@ -460,5 +460,5 @@
         wx.Dialog.__init__(self, parent, id=id, *args, **kwds)
 
-        if data != None:
+        if data is not None:
             # Font size
             kwds = []
@@ -710,5 +710,5 @@
         Status msg
         """
-        if self.parent.parent.parent != None:
+        if self.parent.parent.parent is not None:
             wx.PostEvent(self.parent.parent.parent,
                          StatusEvent(status=msg, type=type))
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -88,5 +88,5 @@
         On Qmin Qmax vertical line event
         """
-        if event == None:
+        if event is None:
             return
         if event.id in self.plot_panels.keys():
@@ -99,5 +99,5 @@
 
     def _on_plot_lim(self, event=None):
-        if event == None:
+        if event is None:
             return
         if event.id in self.plot_panels.keys():
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/profile_dialog.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/profile_dialog.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/profile_dialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -44,5 +44,5 @@
         wx.Dialog.__init__(self, parent, id=id, *args, **kwds)
 
-        if data != None:
+        if data is not None:
             #Font size
             kwds = []
@@ -284,5 +284,5 @@
             default_name = default_name.split('.')[0]
         default_name += "_out"
-        if self.parent != None:
+        if self.parent is not None:
             # What an ancestor!
             fit_panel = self.parent.parent.parent
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -96,5 +96,5 @@
             self.left_line.update(phi=self.right_line.phi, delta=None,
                                   mline=self.main_line, side=True, left=False)
-        #if self.is_inside != None:
+        #if self.is_inside is not None:
         out = self._post_data()
         return out
@@ -117,5 +117,5 @@
         data = self.base.data
         # If we have no data, just return
-        if data == None:
+        if data is None:
             return
         ## Averaging
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/slicerpanel.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/slicerpanel.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/slicerpanel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -37,5 +37,5 @@
         self.bck = wx.GridBagSizer(5, 5)
         self.SetSizer(self.bck)
-        if type == None and params == None:
+        if type is None and params is None:
             label = "Right-click on 2D plot for slicer options"
             title = wx.StaticText(self, -1, label, style=wx.ALIGN_LEFT)
@@ -57,5 +57,5 @@
         """
         event.Skip()
-        if event.obj_class == None:
+        if event.obj_class is None:
             self.set_slicer(None, None)
         else:
@@ -68,5 +68,5 @@
         self.bck.Clear(True)
         self.type = type
-        if type == None:
+        if type is None:
             label = "Right-click on 2D plot for slicer options"
             title = wx.StaticText(self, -1, label, style=wx.ALIGN_LEFT)
@@ -114,5 +114,5 @@
         self.Layout()
         psizer = self.parent.GetSizer()
-        if psizer != None:
+        if psizer is not None:
             psizer.Layout()
 
Index: src/sas/sasgui/guiframe/panel_base.py
===================================================================
--- src/sas/sasgui/guiframe/panel_base.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/panel_base.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -441,5 +441,5 @@
         """
         """
-        if self._manager == None:
+        if self._manager is None:
             return None
         return self._manager.frame
Index: src/sas/sasgui/guiframe/plugin_base.py
===================================================================
--- src/sas/sasgui/guiframe/plugin_base.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/plugin_base.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -161,5 +161,5 @@
         Sets default frame config
         """
-        if self.frame != None:
+        if self.frame is not None:
             self.frame.EnableCloseButton(False)
             self.frame.Show(False)
@@ -230,5 +230,5 @@
         old_frame = None
         old_persp = self.parent.get_current_perspective()
-        if old_persp != None:
+        if old_persp is not None:
             old_frame = old_persp.get_frame()
         self.parent.check_multimode(self)
@@ -236,6 +236,6 @@
         self.parent.set_perspective(self.perspective)
 
-        if self.frame != None:
-            if old_frame != None:
+        if self.frame is not None:
+            if old_frame is not None:
                 pos_x, pos_y = old_frame.GetPositionTuple()
                 self.frame.SetPosition((pos_x, pos_y))
Index: src/sas/sasgui/guiframe/startup_configuration.py
===================================================================
--- src/sas/sasgui/guiframe/startup_configuration.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/startup_configuration.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -129,7 +129,7 @@
                 width, _ = panel.frame.GetSizeTuple()
                 if panel.frame.IsShown():
-                    if p_size == None or width > p_size:
+                    if p_size is None or width > p_size:
                         p_size = width
-            if p_size == None:
+            if p_size is None:
                 p_size = CURRENT_STRINGS['PLOPANEL_WIDTH']
             self.current_string['PLOPANEL_WIDTH'] = p_size
@@ -145,5 +145,5 @@
                 
             data_pw, _ = self.parent.panels["data_panel"].frame.GetSizeTuple()
-            if data_pw == None:
+            if data_pw is None:
                 data_pw = CURRENT_STRINGS['DATAPANEL_WIDTH']
             self.current_string['DATAPANEL_WIDTH'] = data_pw
@@ -208,5 +208,5 @@
         for key, item in strings.iteritems():
             if (key == 'DEFAULT_PERSPECTIVE') or \
-                (key == 'DEFAULT_OPEN_FOLDER' and item != None):
+                (key == 'DEFAULT_OPEN_FOLDER' and item is not None):
                 out_f.write("%s = \"%s\"\n" % (key,str(item)))
             else:
Index: src/sas/sasgui/guiframe/utils.py
===================================================================
--- src/sas/sasgui/guiframe/utils.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/utils.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -89,5 +89,5 @@
     list = []
     for item in mylist:
-        if re.search(separator,item)!= None:
+        if re.search(separator,item)is not None:
             if n > 0:
                 word = re.split(separator, item, int(n))
